Subject: hi-yellow vs. hi-lock-1

From: David Koppelman <[email-masked]>
Date: Tue, 26 Feb 2013 17:11:11 -0600

As the original developer of hi-lock and one willing to continue
maintaining it, let me add my voice:

I feel that a face name like hi-lock-1 would be much less useful, even
if the name itself were rendered with the highlighting. The user's
goal is to highlight something, currently the user can go through
face choices until he or she finds a suitable color (if the first one
does not satisfy). A cryptic name like hi-lock-1 just puts irrelevant
information in front of the user, assuming the name is highlighted
with the color.

A name like font-lock-comment-face is semantic because it indicates
the purpose of the face.  The purpose of hi-yellow is to highlight
something in yellow, so in that sense the name is semantic.

If themers felt a strong need, we could make hi-lock-face-defaults
themable so that hi-yellow and hi-green say, could be replaced with
hi-golden-honey and hi-grassy-green. (Or the original face names with
slightly different tints.)